<template>
    <v-card color="grey lighten-5">
        <v-card-title>
            <v-btn
                @click="clear"
                :disabled="loading"
                color="white"
                small
            >{{ $t('clear') }}</v-btn>
            <v-spacer></v-spacer>
            <v-btn
                :disabled="loading"
                @click="$emit('confirmed')"
                color="primary"
                small
            >{{ $t('confirm') }}</v-btn>
        </v-card-title>
        <v-card-text>
            <v-list>
                <v-list-item>
                    <v-list-item-content>
                        <v-text-field
                            v-model="dateRangeText"
                            :label="$t('date_subscription_range')"
                            prepend-icon="mdi-calendar"
                            readonly
                        >
                        </v-text-field>

                        <v-date-picker
                            v-model="selectedDate"
                            @change="onDateRangeChange"
                            range
                        >
                        </v-date-picker>

                    </v-list-item-content>
                </v-list-item>
            </v-list>

            <v-divider></v-divider>


        </v-card-text>
    </v-card>
</template>

<script>
    export default {
        name: 'RevenueFilters',
        props: [
            'dates',
        ],
        data: () => ({
            loading: false,
            selectedDate: []
        }),
        computed: {
            dateRangeText () {
                return this.selectedDate.join(' ~ ')
            }
        },

        methods: {
            clear() {
                this.selectedDate = [];
                this.selections.forEach(selection => {
                    selection.active = false;
                })

                this.$emit('update:dates', this.selectedDate);
            },

            onDateRangeChange(dates) {
                this.$emit('update:dates', dates);
            },
        }
    }
</script>

<style scoped>
</style>
